## org.apache.aries.subsystem.core.internal
Class ResourceInstaller

    java.lang.Object
      org.apache.aries.subsystem.core.internal.ResourceInstaller

Direct Known Subclasses:
  BundleResourceInstaller, SubsystemResourceInstaller

    public abstract class ResourceInstaller

extends Object

Field Summary
`protected org.osgi.service.coordinator.Coordination` `coordination`
`protected BasicSubsystem` `provisionTo`
`protected org.osgi.resource.Resource` `resource`
`protected BasicSubsystem` `subsystem`

Constructor Summary
`ResourceInstaller(org.osgi.service.coordinator.Coordination coordination, org.osgi.resource.Resource resource, BasicSubsystem subsystem)`

Method Summary
`protected void` `addConstituent(org.osgi.resource.Resource resource)`
`protected void` `addReference(org.osgi.resource.Resource resource)`
`protected String` `getLocation()`
`abstract org.osgi.resource.Resource` `install()`
`protected boolean` `isContent()`
`protected boolean` `isDependency()`
`protected boolean` `isReferencedProvisionTo()`
`protected boolean` `isReferencedSubsystem()`
`static ResourceInstaller` `newInstance(org.osgi.service.coordinator.Coordination coordination, org.osgi.resource.Resource resource, BasicSubsystem subsystem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### coordination

    protected final org.osgi.service.coordinator.Coordination coordination

### provisionTo

    protected final BasicSubsystem provisionTo

### resource

    protected final org.osgi.resource.Resource resource

### subsystem

    protected final BasicSubsystem subsystem

Constructor Detail

### ResourceInstaller

    public ResourceInstaller(org.osgi.service.coordinator.Coordination coordination,
                             org.osgi.resource.Resource resource,
                             BasicSubsystem subsystem)

Method Detail

### newInstance

    public static ResourceInstaller newInstance(org.osgi.service.coordinator.Coordination coordination,
                                                org.osgi.resource.Resource resource,
                                                BasicSubsystem subsystem)

### install

    public abstract org.osgi.resource.Resource install()
                                                throws Exception

  Throws:
    `Exception`

### addConstituent

    protected void addConstituent(org.osgi.resource.Resource resource)

### addReference

    protected void addReference(org.osgi.resource.Resource resource)

### getLocation

    protected String getLocation()

### isContent

    protected boolean isContent()

### isDependency

    protected boolean isDependency()

### isReferencedProvisionTo

    protected boolean isReferencedProvisionTo()

### isReferencedSubsystem

    protected boolean isReferencedSubsystem()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.